package org.positrium.chikarawo;

import java.io.FileNotFoundException;
import java.net.URL;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * 本質的には、Toolkitに渡すファイルリソースの存在を確認するものだが<br>
 * runnable jar実行時とIDE実行時の両方に対応させている。
 * @author token , 2009 CC BY-SA
 * @version $Rev: 119 $
 */
public class FileResource {
	public static Log logger = LogFactory.getLog(MyTrayIcon.class);
	private URL url;

	/**
	 * resourceディレクトリ内のファイルリソースを取り出す
	 * 
	 * @param pathname
	 * @throws FileNotFoundException
	 */
	public FileResource(String pathname) throws FileNotFoundException {
		this.url = getClass().getClassLoader().getResource(pathname);

		if (this.url == null) {
			// for IDE ( resource dir in CLASS-FOLDER ) 
			this.url = getClass().getClassLoader().getResource(
					pathname.replace("resource/", ""));
		}
	}

	/**
	 * リソースパスをURL型に変換する
	 * @return URL型リソースパス
	 */
	public URL toURL() {
		return this.url;
	}
}
